import request from '@/config/axios'

// 查询招生结算列表
export const getSchoolSettlePage = async (params) => {
  return await request.get({ url: '/admin-api/crm/sign-settlement/sch/page', params })
}

// 查询招生结算详情
export const getSchoolSettleDetail = async (id) => {
  return await request.get({ url: '/admin-api/crm/sign-settlement/sch/get?id=' + id })
}

// 查询进销存结算列表
export const getMallSettlePage = async (params) => {
  return await request.get({ url: '/admin-api/crm/sign-settlement/erp/page', params })
}

// 查询进销存结算详情
export const getMallSettleDetail = async (id) => {
  return await request.get({ url: '/admin-api/crm/sign-settlement/erp/get?id=' + id })
}

// 批量结算
export const batchSaveSettle = async (data) => {
  return await request.post({ url: '/admin-api/crm/sign-settlement/batch/save', data })
}
